Xerces-J API: Interface DOMSerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Interface DOMSerializer

All Known Implementing Classes:
  BaseMarkupSerializer

public interface DOMSerializer

Interface for a DOM serializer implementation.

Version:
  $Revision: 1.3 $ $Date: 2000/08/30 18:59:19 $
Author:
  Scott Boag, Assaf Arkin

Method Summary
`void` | `serialize(Document doc)` Serializes the DOM document.
`void` | `serialize(DocumentFragment frag)` Serializes the DOM document fragment.
`void` | `serialize(Element elem)` Serialized the DOM element.

Method Detail

### serialize

    public void serialize(Element elem)
                   throws java.io.IOException

  Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `elem` - The element to serialize
  Throws:
    java.io.IOException - An I/O exception occured while serializing

### serialize

    public void serialize(Document doc)
                   throws java.io.IOException

  Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `doc` - The document to serialize
  Throws:
    java.io.IOException - An I/O exception occured while serializing

### serialize

    public void serialize(DocumentFragment frag)
                   throws java.io.IOException

  Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    java.io.IOException - An I/O exception occured while serializing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.